Subject: PACK/UNPACK

From: [email-masked] (Rolf Hempel)
Date: Wed, 18 May 1994 11:31:09 +0200

Dear Friends,

I agree with Jim that the explanation on page 85 is not clear enough.
As far as I remember, at the Knoxville meeting we decided that PACK
generates the same "byte stream" as the corresponding direct SEND would
do. So, Jim's code example should be valid. In most applications,
however, I would expect to see a combination of SEND with
RECEIVE/UNPACK, because that's what you have to do if you port existing
PVM/PARMACS/... code to MPI. I guess that's the reason why this
situation has been described explicitely on page 85.

- Rolf